package com.ruoyi.project.production.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 区域月度检查对象 t_fives_monthly_inspection
 *
 * @author ruoyi
 * @date 2023-03-30
 */
public class TFivesMonthlyInspection extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识ID
     */
    private Long id;

    /**
     * 区域序号
     */
    @Excel(name = "区域序号")
    private String regionOrder;

    /**
     * 位置
     */
    @Excel(name = "位置")
    private String position;

    /**
     * 责任人
     */
    @Excel(name = "责任人")
    private String owner;

    /**
     * 年
     */
    @Excel(name = "年")
    private Long year;

    /**
     * 一月
     */
    @Excel(name = "一月")
    private String jan;

    /**
     * 二月
     */
    @Excel(name = "二月")
    private String feb;

    /**
     * 三月
     */
    @Excel(name = "三月")
    private String mar;

    /**
     * 四月
     */
    @Excel(name = "四月")
    private String apr;

    /**
     * 五月
     */
    @Excel(name = "五月")
    private String may;

    /**
     * 六月
     */
    @Excel(name = "六月")
    private String jun;

    /**
     * 七月
     */
    @Excel(name = "七月")
    private String jul;

    /**
     * 八月
     */
    @Excel(name = "八月")
    private String aug;

    /**
     * 九月
     */
    @Excel(name = "九月")
    private String sep;

    /**
     * 十月
     */
    @Excel(name = "十月")
    private String oct;

    /**
     * 十一月
     */
    @Excel(name = "十一月")
    private String nov;

    /**
     * 十二月
     */
    @Excel(name = "十二月")
    private String dec;

    /**
     * 状态
     */
    private Long delFlag;

    /**
     * 创建人
     */
    private String createrCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createdate;

    /**
     * 修改人
     */
    private String updaterCode;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updatedate;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 部门编号
     */
    private Long deptId;

    /**
     * 部门名称
     */
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setRegionOrder(String regionOrder) {
        this.regionOrder = regionOrder;
    }

    public String getRegionOrder() {
        return regionOrder;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getPosition() {
        return position;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getOwner() {
        return owner;
    }

    public void setYear(Long year) {
        this.year = year;
    }

    public Long getYear() {
        return year;
    }

    public void setJan(String jan) {
        this.jan = jan;
    }

    public String getJan() {
        return jan;
    }

    public void setFeb(String feb) {
        this.feb = feb;
    }

    public String getFeb() {
        return feb;
    }

    public void setMar(String mar) {
        this.mar = mar;
    }

    public String getMar() {
        return mar;
    }

    public void setApr(String apr) {
        this.apr = apr;
    }

    public String getApr() {
        return apr;
    }

    public void setMay(String may) {
        this.may = may;
    }

    public String getMay() {
        return may;
    }

    public void setJun(String jun) {
        this.jun = jun;
    }

    public String getJun() {
        return jun;
    }

    public void setJul(String jul) {
        this.jul = jul;
    }

    public String getJul() {
        return jul;
    }

    public void setAug(String aug) {
        this.aug = aug;
    }

    public String getAug() {
        return aug;
    }

    public void setSep(String sep) {
        this.sep = sep;
    }

    public String getSep() {
        return sep;
    }

    public void setOct(String oct) {
        this.oct = oct;
    }

    public String getOct() {
        return oct;
    }

    public void setNov(String nov) {
        this.nov = nov;
    }

    public String getNov() {
        return nov;
    }

    public void setDec(String dec) {
        this.dec = dec;
    }

    public String getDec() {
        return dec;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("regionOrder", getRegionOrder())
                .append("position", getPosition())
                .append("owner", getOwner())
                .append("year", getYear())
                .append("jan", getJan())
                .append("feb", getFeb())
                .append("mar", getMar())
                .append("apr", getApr())
                .append("may", getMay())
                .append("jun", getJun())
                .append("jul", getJul())
                .append("aug", getAug())
                .append("sep", getSep())
                .append("oct", getOct())
                .append("nov", getNov())
                .append("dec", getDec())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("remarks", getRemarks())
                .append("deptId", getDeptId())
                .toString();
    }
}
